<link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/bootstrap.css') }}">
<link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradecatalog/stylesheets/style_catalog.css') }}">

{% if catalog is not empty and catalog.images is not empty %}
    <div class="row">
        <div class="col-sm-10 col-sm-offset-2 center-block text-center navbar-fixed-top" style="background-color: #000000;">
            <p class="label">zoom:</p>
            <a href="javascript:void(0)" id="plus"><i class="icon icon-sm fa-plus"></i></a>
            <a href="javascript:void(0)" id="minus"><i class="icon icon-sm fa-minus"></i></a>
        </div>
    </div>
    <div class="row center-block text-center main">
        <div class="col-sm-1 navigation">
            {% for page in catalog.images %}
                <p><a href="#{{ page.id }}">{% thumbnail page, 'small' %}</a></p>
            {% endfor %}
        </div>
        <div class="col-sm-11 img-container">
            {% for page in catalog.images %}
                <p id="{{ page.id }}">{% thumbnail page, 'reference' with {'class': 'pages'} %}</p>
                {#<p id="{{ page.id }}"><img src="{{ asset('bundles/elbotradelayout/images/fancybox_loading.gif') }}" data-src="{% path page, 'reference'%}" class="pages"/></p>#}
            {% endfor %}
        </div>
    </div>
{% else %}
    {% include '@ElbotradeLayout/Partial/404_content.html.twig' %}
{% endif %}

<script src="{{ asset('bundles/elbotradelayout/js/jquery.js') }}"></script>

<script type="text/javascript">
    $(document).ready(function() {
        var pages = $('.pages');
        $('#plus').on('click', function() {
            var actualWidth = pages.first().width();
            if (actualWidth <= 1180) {
                var width = actualWidth + 100;
            } else {
                var width = 1280;
            }
            pages.attr('width', width + 'px');
        });
        $('#minus').on('click', function() {
            var actualWidth = pages.first().width();
            if (actualWidth >= 200) {
                var width = actualWidth - 100;
            } else {
                var width = 100;
            }
            pages.attr('width', width + 'px');
        });

        $(function() {
            $('a[href*=#]:not([href=#])').click(function() {
                if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
                    var target = $(this.hash);
                    target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
                    if (target.length) {
                        $('html,body').animate({
                            scrollTop: target.offset().top - $(this).outerHeight(true)
                        }, 1000);
                        return false;
                    }
                }
            });
        });

    });

    {#$('.img-container').ready(function() {#}
        {#$(this).find('.pages').each(function() {#}
            {#var img_src = $(this).data('src');#}
            {#$(this).replaceWith('<img src="' + img_src + '" class="pages" />');#}
        {#});#}
    {#});#}
</script>